- Qt 6.8
- Qt Multimedia
- C++ Classes
- QtMultimedia
- QCapturableWindow
- Qt 6.8.3 Reference Documentation

# QCapturableWindow Class

Used for getting the basic information of a capturable window. More...

Header: | `#include <QCapturableWindow>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Multimedia)` `target_link_libraries(mytarget PRIVATE Qt6::Multimedia)`
qmake: | `QT += multimedia`
Since: | Qt 6.6
In QML: | CapturableWindow

- List of all members, including inherited members

## Public Functions

class QCapturableWindow & | operator=(QCapturableWindow &&other)

## Related Non-Members

bool | operator!=(const QCapturableWindow &lhs, const QCapturableWindow &rhs)
class Q_DECL_IMPORT | operator==(const QCapturableWindow &lhs, const QCapturableWindow &rhs)

## Detailed Description

The class contains a set of window information, except the method QCapturableWindow::isValid which pulls the current state whenever it's called.

See also QWindowCapture.

## Member Function Documentation

### `[default]` class QCapturableWindow &QCapturableWindow::operator=(QCapturableWindow &&other)

Moves other into this QCapturableWindow.

## Related Non-Members

### `[noexcept]` bool operator!=(const QCapturableWindow &lhs, const QCapturableWindow &rhs)

Returns `true` if window information lhs and rhs refer to different windows, otherwise returns `false`.

### `[noexcept]` class Q_DECL_IMPORT operator==(const QCapturableWindow &lhs, const QCapturableWindow &rhs)

Returns `true` if window information lhs and rhs refer to the same window, otherwise returns `false`.